PEER'S SPACE

Static Public Attributes | List of all members
theblog.migrations.0001_initial.Migration Class Reference
Inheritance diagram for theblog.migrations.0001_initial.Migration:
[legend]
Collaboration diagram for theblog.migrations.0001_initial.Migration:
[legend]

## Static Public Attributes
bool | initial = True
list | dependencies
list | operations

## Member Data Documentation

## ◆ dependencies

list theblog.migrations.0001_initial.Migration.dependencies
| static

Initial value:
= [
migrations.swappable_dependency(settings.AUTH_USER_MODEL),
]

## ◆ operations

list theblog.migrations.0001_initial.Migration.operations
| static

Initial value:
= [
migrations.CreateModel(
name='Post',
fields=[
('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
('title', models.CharField(max_length=255)),
('body', models.TextField()),
('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
],
),
]

The documentation for this class was generated from the following file:

- ablog/theblog/migrations/0001_initial.py